Subject: Bug#1083: [X2Go-Dev] Bug#1083: local Xfce session blocks X2Go Xfce session (and vice versa) for same user

From: Ulrich Sibiller <[email-masked]>
Date: Sun, 11 Sep 2016 12:15:51 +0200

On Sat, Sep 10, 2016 at 5:23 PM, René Genz <[email-masked]> wrote:
> Package: x2goserver-xsession
> Version: 4.0.1.19
>
> the situation with X2Go and Fedora 22 x86_64 as X2Go server:
> - local Xfce session does not block X2Go Xfce session of same user
> - X2Go Xfce session does not block local Xfce session for same user
>
>
> I did not test with Fedora 23.
>
>
> Unfortunately, with Fedora 24 x86_64 as X2Go server this changed:
> - local Xfce session blocks X2Go Xfce session of same user
> - X2Go Xfce session blocks local Xfce session for same user

So XFCE behaves differently on Fedora 24. I suspect this is due to a
change in XFCE not X2Go.

Can you please try to install the exactly same version of X2Go on both setups?

> Maybe changes for this bug are related?
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046

Maybe, dbus is suspect number one for problems like this. But first
I'd like to rule out XFCE as source of the problem by installing the
same version of X2Go on both systems.

Uli